mav_matrixStackPush(3)

NAME
mav_matrixStackPush - Maverik matrix stack functions.

LEVEL
Maverik Level 2

SYNTAX
void mav_matrixStackPush(MAV_matrix m);

MAV_matrix mav_matrixStackGet(void);

void mav_matrixStackPop(void);

ARGUMENTS
Matrix.

DESCRIPTION
Maverik maintains a matrix utility stack for use by applications. The stack is private to Maverik and is separate from the graphics matrix stack.

mav_matrixStackPush pushes matrix m onto the stack.

mav_matrixStackGet returns the matrix on the top of the stack, but does not pop the stack.

mav_matrixStackPop pops the stack.